<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="Serilog.AspNetCore" Version="5.0.0" />
    <PackageReference Include="System.ServiceProcess.ServiceController" Version="6.0.0" />
    <PackageReference Include="UtilsSharp" Version="2.5.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Aliyun.Api.LogService\Aliyun.Api.LogService.csproj" />
    <ProjectReference Include="..\COMMON\COMMON.csproj" />
    <ProjectReference Include="..\DB_Server\DB_Server.csproj" />
    <ProjectReference Include="..\Models\Models.csproj" />
    <ProjectReference Include="..\TcpServer\TcpServer.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="log4net.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
